﻿using Android.App;
using Android.Content;
using Android.OS;
using Android.Widget;

namespace App.Atividades
{
    [Activity(Label = "App.Atividades", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            SetContentView(Resource.Layout.Main);

            Button btnFone = FindViewById<Button>(Resource.Id.btnFone);
            Button btnWeb = FindViewById<Button>(Resource.Id.btnWeb);
            Button btnLogin = FindViewById<Button>(Resource.Id.btnLogin);

            btnFone.Click += BtnFone_Click;
            btnWeb.Click += BtnWeb_Click;
            btnLogin.Click += BtnLogin_Click;
        }

        private void BtnLogin_Click(object sender, System.EventArgs e)
        {
            var loginAtividade = new Intent(this, typeof(LoginActivity));
            loginAtividade.PutExtra("Nome", "Macoratti");
            loginAtividade.PutExtra("Senha", "12345678");
            StartActivity(loginAtividade);
        }

        private void BtnWeb_Click(object sender, System.EventArgs e)
        {
            var uri = Android.Net.Uri.Parse("http://www.macoratti.net");
            var intent = new Intent(Intent.ActionView, uri);
            StartActivity(intent);
        }

        private void BtnFone_Click(object sender, System.EventArgs e)
        {
            var uri = Android.Net.Uri.Parse("tel:1112223333");
            var intent = new Intent(Intent.ActionDial, uri);
            StartActivity(intent);
        }
    }
}

